Package org.duckdb

# Enum Class DuckDBColumnType

java.lang.Object
java.lang.Enum<DuckDBColumnType>
org.duckdb.DuckDBColumnType

All Implemented Interfaces:
  `Serializable`, `Comparable<DuckDBColumnType>`, `Constable`

public enum DuckDBColumnType extends Enum<DuckDBColumnType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BIGINT`
`BLOB`
`BOOLEAN`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`HUGEINT`
`INTEGER`
`INTERVAL`
`LIST`
`SMALLINT`
`STRUCT`
`TIME`
`TIMESTAMP`
`TINYINT`
`UBIGINT`
`UINTEGER`
`USMALLINT`
`UTINYINT`
`VARCHAR`

## Method Summary

Modifier and Type
Method
Description
`static DuckDBColumnType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DuckDBColumnType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final DuckDBColumnType BOOLEAN

### TINYINT

public static final DuckDBColumnType TINYINT

### SMALLINT

public static final DuckDBColumnType SMALLINT

### INTEGER

public static final DuckDBColumnType INTEGER

### BIGINT

public static final DuckDBColumnType BIGINT

### UTINYINT

public static final DuckDBColumnType UTINYINT

### USMALLINT

public static final DuckDBColumnType USMALLINT

### UINTEGER

public static final DuckDBColumnType UINTEGER

### UBIGINT

public static final DuckDBColumnType UBIGINT

### HUGEINT

public static final DuckDBColumnType HUGEINT

### FLOAT

public static final DuckDBColumnType FLOAT

### DOUBLE

public static final DuckDBColumnType DOUBLE

### DECIMAL

public static final DuckDBColumnType DECIMAL

### VARCHAR

public static final DuckDBColumnType VARCHAR

### BLOB

public static final DuckDBColumnType BLOB

### TIME

public static final DuckDBColumnType TIME

### DATE

public static final DuckDBColumnType DATE

### TIMESTAMP

public static final DuckDBColumnType TIMESTAMP

### INTERVAL

public static final DuckDBColumnType INTERVAL

### LIST

public static final DuckDBColumnType LIST

### STRUCT

public static final DuckDBColumnType STRUCT

## Method Details

### values

public static DuckDBColumnType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DuckDBColumnType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null